// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - BITMAP2.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

class MyBitmap : public ZafWindowObject
{
public:
	MyBitmap(int left, int top, int width, int height, ZafIChar *bitmapName);
	~MyBitmap(void);
	ZafEventType Draw(const ZafEventStruct &event, ZafEventType ccode);
	ZafEventType Event(const ZafEventStruct &event);

	// get
	virtual bool AutoSize(void) { return autoSize; }
	virtual ZafIChar *BitmapName(void) { return bitmapName; }

	// set
	virtual bool SetAutoSize(bool autoSize);
	virtual void SetBitmapName(ZafIChar *bitmapName);

protected:
	ZafBitmapData *bitmapData;
	ZafIChar *bitmapName;
	bool autoSize;
	int borderWidth;
};

